import numpy as np


def ex4():
    v = np.ones(10)
    std = np.std(v)
    avg = np.average(v)

    print(f"std = {std}")

    lhs = np.sqrt(np.mean(np.square(v - avg * 1)))
    print(f"lhs = {lhs}")

    print(f"std == lhs: {std == lhs}")


def avg(n: int):
    return np.average(np.ones(n))


def rms(n: int):
    return np.sqrt(np.mean(np.square(np.ones(n))))


def std(n: int):
    return np.std(np.ones(n))


if __name__ == "__main__":
    ex4()
    print(avg(10))
    print(rms(10))
    print(std(10))
