import numpy as np


def ex1():
    v = np.array([3, -1, 5])
    # 2.
    v_bis = v.copy()

    print("Before: ")
    print(f"v = {v}")
    print(f"v_bis = {v_bis}")

    # 1.
    v[1] = 5

    print("After: ")
    print(f"v = {v}")
    print(f"v_bis = {v_bis}")

    w = np.array([-2, -4, 5])
    v = np.array([3, -1, 5])
    print(f"w = {w}")
    print(f"v = {v}")

    # 3.
    res = 2 * v - 3 * w
    print(f"2v - 3w = {res}")

    # 4. On ajoute 1 à chaque composante du vecteur v. Non cela ne correspond
    # pas une répresentation mathématique quelconque
    print(f"{v + 1}")

    # 5. Les comparaisons se font composantes par composantes
    print(f"v > w: {v > w}")
    print(f"v < w: {v < w}")
    print(f"v == w {v == w}")

    # 6. Les comparaisons se font composantes par composantes mais agi comme
    # un ET logique (AND) => retourne qu'une seule valeur
    v_lst = v.tolist()
    w_lst = w.tolist()
    print(f"v_lst == w_lst: {v_lst == w_lst}")
    print(f"v_lst >= w_lst: {v_lst >= w_lst}")
    print(f"v_lst < w_lst: {v_lst < w_lst}")

    # 7.
    dot_product = np.dot(v, w)
    print(f"v * w = {dot_product}")

    # 8.
    z = np.concatenate([v, w])
    print(f"z: {z}")

    # 9.
    u = z[2:5]
    print(f"u: {u}")

    # 10.
    z[1:4] = 0
    print(f"z[1:4] = 0: {z}")


if __name__ == "__main__":
    ex1()
