import numpy as np


def ex2():
    u = np.array([1, 2, 3, 4])
    v = np.array([-3, 0, 1, 0])
    w = np.array([-1, 1, -1, 2])

    print(f"||u|| = {np.linalg.norm(u)}")
    print(f"||v|| = {np.linalg.norm(v)}")
    print(f"||w|| = {np.linalg.norm(w)}")

    print(f"dist(u, v) = {np.linalg.norm(u - v)}")
    print(f"dist(u, w) = {np.linalg.norm(u - w)}")


if __name__ == "__main__":
    ex2()
