import numpy as np


def ex3():
    # Angle between vectors:
    # np.dot(u, v) / np.linalg.norm(u) * np.linalg.norm(v) = cos(theta)
    u = np.array([1, 2, 3, 4])
    v = np.array([-3, 0, 1, 0])

    cos_theta = np.dot(u, v) / (np.linalg.norm(u) * np.linalg.norm(v))
    theta = np.arccos(cos_theta)

    print(f"theta = {np.rad2deg(theta)}")


if __name__ == "__main__":
    ex3()
